Omniverse Code Without RTX GPUs

Can Omniverse Code be “tweaked” to be used with a laptop GTX 1660 Ti GPU. I seem to have problems creating the simplest extensions. Extensions get created but do not display window created. Don’t seem to have a problem on my desktop with an RTX GPU.

2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] OSError: [Errno 22] Invalid argument
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin]
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] At:
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\kit\app\impl_init_.py(91): write
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\kit-exts-project7\exts\john.hello.cube\john\hello\cube\extension.py(11): on_startup
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\ext\impl_internal.py(135): startup_ext
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\carb\profiler_init
.py(80): wrapper
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\ext\impl_internal.py(186): startup
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\ext\impl_internal.py(268): startup_extension
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] PythonExtension.cpp::startup()(2):
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\ext_commands.py(30): do
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\extscore\omni.kit.commands\omni\kit\undo\undo.py(77): execute
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\extscore\omni.kit.commands\omni\kit\commands\command.py(448): execute
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\common.py(246): toggle_extension
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\ext_components.py(89): toggle
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin]
2022-07-18 03:12:45 [Error] [omni.ext.plugin] [ext: john.hello.cube-1.0.0] Failed to startup python extension.
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] OSError: [Errno 22] Invalid argument
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin]
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] At:
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\kit\app\impl_init_.py(91): write
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\kit-exts-project7\exts\john.hello.cube\john\hello\cube\extension.py(24): on_shutdown
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\ext\impl_internal.py(195): shutdown
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/plugins/bindings-python\omni\ext\impl_internal.py(276): shutdown_extension
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] PythonExtension.cpp::shutdown()(2):
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\ext_commands.py(30): do
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\extscore\omni.kit.commands\omni\kit\undo\undo.py(77): execute
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\extscore\omni.kit.commands\omni\kit\commands\command.py(448): execute
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\common.py(246): toggle_extension
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin] c:\users\erbjo\appdata\local\ov\pkg\code-2022.1.2\kit\exts\omni.kit.window.extensions\omni\kit\window\extensions\ext_components.py(89): toggle
2022-07-18 03:12:45 [Error] [carb.scripting-python.plugin]
2022-07-18 03:12:45 [Error] [omni.ext.plugin] Failed while calling shutdown_extensions function: c:/users/erbjo/appdata/local/ov/pkg/code-2022.1.2/kit/exts/kit-exts-project7/exts/john.hello.cube

Code 2022.1.2
Kit 103.1.2
Windows 11

Hi @erb.john! Thanks for joining the forums!

Code does currently require an RTX GPU. The team is looking into providing an RTX-less Code app in the near future. I’d recommend sticking with your compatible desktop in the mean time.

Let me know if you need anything else.

Thank you, Matias. I appreciate the quick reply.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.